# QwtSplineCurveFitter Class Reference

A curve fitter using cubic splines. More...

`#include <qwt_curve_fitter.h>`

Inheritance diagram for QwtSplineCurveFitter:
[legend]

List of all members.

## Public Types

enum | FitMode { Auto, Spline, ParametricSpline }

## Public Member Functions

virtual QPolygonF | fitCurve (const QPolygonF &) const
FitMode | fitMode () const
| QwtSplineCurveFitter ()
void | setFitMode (FitMode)
void | setSpline (const QwtSpline &)
void | setSplineSize (int size)
QwtSpline & | spline ()
const QwtSpline & | spline () const
int | splineSize () const
virtual | ~QwtSplineCurveFitter ()

## Detailed Description

A curve fitter using cubic splines.

## Constructor & Destructor Documentation

QwtSplineCurveFitter::QwtSplineCurveFitter | ( |  | ) |

Constructor.

QwtSplineCurveFitter::~QwtSplineCurveFitter | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

QPolygonF QwtSplineCurveFitter::fitCurve | ( | const QPolygonF & | points | ) | const`[virtual]`

Find a curve which has the best fit to a series of data points

Parameters:

  points | Series of data points

Returns:
  Curve points

Implements QwtCurveFitter.

QwtSplineCurveFitter::FitMode QwtSplineCurveFitter::fitMode | ( |  | ) | const

Returns:
  Mode representing a spline algorithm

See also:
  setFitMode()

void QwtSplineCurveFitter::setFitMode | ( | FitMode | mode | ) |

Select the algorithm used for building the spline

Parameters:

  mode | Mode representing a spline algorithm

See also:
  fitMode()

void QwtSplineCurveFitter::setSplineSize | ( | int | splineSize | ) |

Assign a spline size ( has to be at least 10 points )

Parameters:

  splineSize | Spline size

See also:
  splineSize()

int QwtSplineCurveFitter::splineSize | ( |  | ) | const

Returns:
  Spline size

See also:
  setSplineSize()